Skip to main content
GET
List devices

Authorizations

Authorization
string
header
default:<api_key>
required

API key (sk_live_…). Send as Authorization: Bearer <api_key>.

Query Parameters

customer_id
string<uuid>
required
license_id
string<uuid>

Filter to devices bound to this license

status
enum<string>

Filter by device status. Omit to return all statuses.

Available options:
pending,
enrolled,
revoked
external_device_id
string

Filter by exact external_device_id

Maximum string length: 200
page
integer

Page number (1-based). If both page and per_page are omitted, the full set is returned.

Required range: x >= 1
per_page
integer
default:20

Items per page (max 100). If both page and per_page are omitted, the full set is returned.

Required range: 1 <= x <= 100

Response

Success

The response is of type object.